package com.ruoyi.system.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.BaseLongitudeLatitudeMapper;
import com.ruoyi.common.core.domain.BaseLongitudeLatitude;
import com.ruoyi.system.service.IBaseLongitudeLatitudeService;

/**
 * 经纬度基础Service业务层处理
 *
 * @author lyp
 * @date 2023-09-16
 */
@Service
public class BaseLongitudeLatitudeServiceImpl implements IBaseLongitudeLatitudeService {
    @Autowired
    private BaseLongitudeLatitudeMapper baseLongitudeLatitudeMapper;

    /**
     * 查询经纬度基础
     *
     * @param id 经纬度基础主键
     * @return 经纬度基础
     */
    @Override
    public BaseLongitudeLatitude selectBaseLongitudeLatitudeById(String id) {
        return baseLongitudeLatitudeMapper.selectBaseLongitudeLatitudeById(id);
    }

    /**
     * 查询经纬度基础列表
     *
     * @param baseLongitudeLatitude 经纬度基础
     * @return 经纬度基础
     */
    @Override
    public List<BaseLongitudeLatitude> selectBaseLongitudeLatitudeList(BaseLongitudeLatitude baseLongitudeLatitude) {
        return baseLongitudeLatitudeMapper.selectBaseLongitudeLatitudeList(baseLongitudeLatitude);
    }

    /**
     * 新增经纬度基础
     *
     * @param baseLongitudeLatitude 经纬度基础
     * @return 结果
     */
    @Override
    public int insertBaseLongitudeLatitude(BaseLongitudeLatitude baseLongitudeLatitude) {
        return baseLongitudeLatitudeMapper.insertBaseLongitudeLatitude(baseLongitudeLatitude);
    }

    /**
     * 修改经纬度基础
     *
     * @param baseLongitudeLatitude 经纬度基础
     * @return 结果
     */
    @Override
    public int updateBaseLongitudeLatitude(BaseLongitudeLatitude baseLongitudeLatitude) {
        return baseLongitudeLatitudeMapper.updateBaseLongitudeLatitude(baseLongitudeLatitude);
    }

    /**
     * 批量删除经纬度基础
     *
     * @param ids 需要删除的经纬度基础主键
     * @return 结果
     */
    @Override
    public int deleteBaseLongitudeLatitudeByIds(String[] ids) {
        return baseLongitudeLatitudeMapper.deleteBaseLongitudeLatitudeByIds(ids);
    }

    /**
     * 删除经纬度基础信息
     *
     * @param id 经纬度基础主键
     * @return 结果
     */
    @Override
    public int deleteBaseLongitudeLatitudeById(String id) {
        return baseLongitudeLatitudeMapper.deleteBaseLongitudeLatitudeById(id);
    }

    /**
     * 根据业务ID和code删除经纬度坐标
     *
     * @param serviceId
     * @param serviceCode
     */
    @Override
    public void deleteBaseLongitudeLatitudeByService(String serviceId, String serviceCode) {
        baseLongitudeLatitudeMapper.deleteBaseLongitudeLatitudeByService(serviceId, serviceCode);
    }
}
